Name:		bwidget
Version:	1.10.1
Release:	%mkrel 1
Summary:	Extended widget set for Tk
Group:		System/Libraries
License:	BSD
URL:		https://sourceforge.net/projects/tcllib/
Source0:	https://downloads.sourceforge.net/tcllib/%{name}-%{version}.tar.gz
Requires:	tcl
Requires:	tk
BuildRequires:	pkgconfig(tcl)
BuildArch:	noarch

%description
An extended widget set for Tcl/Tk.

%prep
%setup -q
%{__sed} -i 's/\r//' LICENSE.txt BWman/*.html

%build
# Nothing to build!

%install
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/lang
%{__mkdir_p} %{buildroot}%{tcl_sitelib}/%{name}%{version}/images

%{__install} -m 0644 -pD *.tcl %{buildroot}%{tcl_sitelib}/%{name}%{version}/
%{__install} -m 0644 -pD lang/*.rc %{buildroot}%{tcl_sitelib}/%{name}%{version}/lang/
%{__install} -m 0644 -pD images/*.gif images/*.xbm %{buildroot}%{tcl_sitelib}/%{name}%{version}/images/

%files
%doc README.txt LICENSE.txt
%doc BWman/*.html
%{tcl_sitelib}/%{name}%{version}


%changelog
* Sun Jul 20 2025 daviddavid <daviddavid> 1.10.1-1.mga10
+ Revision: 2257635
- new version: 1.10.1

* Fri Jun 27 2025 umeabot <umeabot> 1.9.14-3.mga10
+ Revision: 2205963
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.9.14-2.mga9
+ Revision: 1812509
- Mageia 9 Mass Rebuild

* Fri Mar 20 2020 shlomif <shlomif> 1.9.14-1.mga8
+ Revision: 1558263
- New version 1.9.14

* Fri Feb 14 2020 umeabot <umeabot> 1.9.13-2.mga8
+ Revision: 1521885
- Mageia 8 Mass Rebuild

* Fri Jan 04 2019 daviddavid <daviddavid> 1.9.13-1.mga7
+ Revision: 1349006
- new version: 1.9.13

* Tue Sep 18 2018 umeabot <umeabot> 1.9.9-4.mga7
+ Revision: 1260353
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.9.9-3.mga7
+ Revision: 1260030
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sat Nov 14 2015 spuhler <spuhler> 1.9.9-1.mga6
+ Revision: 903104
- upgrade to vers. 1.9.9

* Thu Jun 25 2015 spuhler <spuhler> 1.9.8-1.mga6
+ Revision: 842994
- upgrade to vers. 1.9.8

* Wed Oct 15 2014 umeabot <umeabot> 1.9.7-4.mga5
+ Revision: 747288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.7-3.mga5
+ Revision: 678255
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.9.7-2.mga4
+ Revision: 538114
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 spuhler <spuhler> 1.9.7-1.mga4
+ Revision: 488522
- upgrade to vers. 1.9.7

* Fri Jan 11 2013 umeabot <umeabot> 1.9.6-2.mga3
+ Revision: 347243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 spuhler <spuhler> 1.9.6-1.mga3
+ Revision: 311583
- upgrade to version 1.9.6

* Sat Sep 08 2012 spuhler <spuhler> 1.9.2-1.mga3
+ Revision: 290555
- imported package bwidget


* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 645050
- update to new version 1.9.2

* Mon Feb 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.0-1mdv2011.0
+ Revision: 506073
- Update to 1.9.0
- Clean spec to fix warnings

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.8.0-6mdv2010.0
+ Revision: 436907
- rebuild

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.8.0-5mdv2009.1
+ Revision: 310802
- buildrequires tcl-devel (for the macros)
- rebuild with new tcl
- drop the now unneeded defines

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.8.0-4mdv2009.0
+ Revision: 243378
- rebuild

* Wed Jan 09 2008 David Walluck <walluck@mandriva.org> 1.8.0-2mdv2008.1
+ Revision: 147396
- add macros
- fix tcl Requires

* Mon Jan 07 2008 David Walluck <walluck@mandriva.org> 1.8.0-1mdv2008.1
+ Revision: 146191
- hardcode tcl version
- import bwidget


* Fri Jan  3 2008 Marcela Maslanova <mmaslano@redhat.com> 1.8.0-3
- rebuild with new tcl8.5, changed abi in spec

* Wed Aug 22 2007 Wart <wart at kobold.org> 1.8.0-2
- License tag clarification
- Move files to a tcl-specific directory for faster loading

* Thu Oct 19 2006 Wart <wart at kobold.org> 1.8.0-1
- Update to 1.8.0
- Remove patch that was accepted upstream

* Mon Aug 28 2006 Wart <wart at kobold.org> 1.7.0-4
- Rebuild for Fedora Extras

* Fri Aug 11 2006 Wart <wart at kobold.org> 1.7.0-3
- Add patch for adding a color selector to the font dialog

* Sat Dec 10 2005 Wart <wart at kobold.org> 1.7.0-2
- added dist tag to release tag.

* Sat Dec 10 2005 Wart <wart at kobold.org> 1.7.0-1
- Initial spec file.
